Skip to main content
GET
/
v1
/
documents
List documents
curl --request GET \
  --url https://api.antonpayments.com/v1/documents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "merchant_id": "<string>",
      "category": "incorporation",
      "status": "uploaded",
      "file_name": "<string>",
      "content_type": "<string>",
      "file_size": 123,
      "entity_type": "<string>",
      "entity_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Merchant API key: ak_live_* (production) or ak_test_* (sandbox).

Query Parameters

limit
integer
default:20

Maximum number of items to return (default 20, max 100).

Required range: x <= 100
cursor
string

Pagination cursor from previous response's next_cursor.

Response

Paginated list of documents.

data
object[]
required
has_more
boolean
required
next_cursor
string